> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automaticrostering.visma.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop job

> Stop a running solver job.



## OpenAPI

````yaml /v1/api-reference/openapi.no-deprecated.yml put /jobs/{id}
openapi: 3.1.0
info:
  title: Automatic Rostering
  description: API for the automatic creation of rosters.
  version: json_alpha
servers:
  - url: https://api.optimization-rostering.stag.visma.net
    description: Stage (dev) environment
  - url: https://api.optimization-rostering.prod.visma.net
    description: Production environment
security: []
tags:
  - name: Roster
    description: Endpoints for starting, stopping, and retrieving scheduling jobs
  - name: Analyze
    description: Endpoint for analyzing job requests
paths:
  /jobs/{id}:
    put:
      tags:
        - Roster
      summary: Stop job
      description: Stop a running solver job.
      parameters:
        - name: id
          in: path
          description: Job ID
          required: true
          schema:
            type: string
      responses:
        '204':
          description: The job was stopped successfully.
        '404':
          description: Job with given ID not found
      security:
        - vismaConnectBearer: []
components:
  securitySchemes:
    vismaConnectBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Enter the token with the `Bearer: ` prefix. You can retrieve token from
        Visma connect.

````